=pod

=head1 NAME

 icewm-session - X.Org session manager provider with IceWM

=head1 SYNOPSIS

B<icewm-session> [I<OPTIONS>]

=head1 DESCRIPTION

icewm-session is an implementation of X.Org session manager and can be
run from X11 session setup. It runs B<icewm> as default window manager
and handles the startup and lifecycle control of the WM and all related
support applications.

=head1 OPTIONS

=head2 SPECIFIC OPTIONS

=over

=item B<-c>, B<--config=FILE>

Let IceWM load preferences from I<FILE>.

=item B<-t>, B<--theme=FILE>

Let IceWM load the theme from I<FILE>.

=item B<-i>, B<--icewm=FILE>

Use I<FILE> as the IceWM window manager.

=item B<-n>, B<--notray>

Do not start icewmtray.
This is only applicable if IceWM was explicitly configured
to use an external icewmtray process.

=item B<-s>, B<--sound>

Also start icesound.

=back

=head2 GENERAL OPTIONS

=over

=item B<-d>, B<--display>=I<DISPLAY>

Use I<DISPLAY> to connect to the X server.
If this option is missing then I<DISPLAY>
is read from the environment variable C<DISPLAY>.

=item B<--sync>

Use a slower synchronous mode communication with I<X11> server.

=item B<-h>, B<--help>

Print a brief usage statement to F<stdout> and exit.

=item B<-V>, B<--version>

Print the program version to F<stdout> and exit.

=item B<-C>, B<--copying>

Print copying permissions to F<stdout> for the program and exit.

=back

=head1 BUGS

B<icewm-session> had no known bugs at the time of release.  Please report bugs
for current versions to the source code repository at
L<https://github.com/bbidulock/icewm/issues>.

=head1 AUTHOR

Brian Bidulock L<mailto:bidulock@openss7.org>.

See B<--copying> for full copyright notice and copying permissions.

=head1 LICENSE

B<IceWM> is licensed under the GNU Library General Public License.
See the F<COPYING> file in the distribution or use the B<--copying> flag
to display copying permissions.

=cut

# vim: set sw=4 tw=72 nocin spell spelllang=en_ca:
